"""
 functions to match a bunch of fragment descriptors from a file

No user-servicable parts inside.  ;-)

"""
from __future__ import annotations
import os as os
from rdkit import Chem
from rdkit import RDConfig
__all__ = ['Chem', 'RDConfig', 'defaultPatternFileName', 'fn', 'fns', 'name', 'os']
def _CountMatches(mol, patt, unique = True):
    ...
def _LoadPatterns(fileName = None):
    ...
defaultPatternFileName: str = '/Users/runner/work/rdkit-pypi/rdkit-pypi/build/temp.macosx-10.9-x86_64-cpython-311/rdkit_install/share/RDKit/Data/FragmentDescriptors.csv'
fn = None
fns: list  # value = [('fr_C_O', <function _LoadPatterns.<locals>.<lambda> at 0x108a3ee80>), ('fr_C_O_noCOO', <function _LoadPatterns.<locals>.<lambda> at 0x108a3efc0>), ('fr_Al_OH', <function _LoadPatterns.<locals>.<lambda> at 0x108a3ef20>), ('fr_Ar_OH', <function _LoadPatterns.<locals>.<lambda> at 0x108a3f060>), ('fr_methoxy', <function _LoadPatterns.<locals>.<lambda> at 0x108a3f100>), ('fr_oxime', <function _LoadPatterns.<locals>.<lambda> at 0x108a3f1a0>), ('fr_ester', <function _LoadPatterns.<locals>.<lambda> at 0x108a3f240>), ('fr_Al_COO', <function _LoadPatterns.<locals>.<lambda> at 0x108a3f2e0>), ('fr_Ar_COO', <function _LoadPatterns.<locals>.<lambda> at 0x108a3f380>), ('fr_COO', <function _LoadPatterns.<locals>.<lambda> at 0x108a3f420>), ('fr_COO2', <function _LoadPatterns.<locals>.<lambda> at 0x108a3f4c0>), ('fr_ketone', <function _LoadPatterns.<locals>.<lambda> at 0x108a3f560>), ('fr_ether', <function _LoadPatterns.<locals>.<lambda> at 0x108a3f600>), ('fr_phenol', <function _LoadPatterns.<locals>.<lambda> at 0x108a3f6a0>), ('fr_aldehyde', <function _LoadPatterns.<locals>.<lambda> at 0x108a3f740>), ('fr_quatN', <function _LoadPatterns.<locals>.<lambda> at 0x108a3f7e0>), ('fr_NH2', <function _LoadPatterns.<locals>.<lambda> at 0x108a3f880>), ('fr_NH1', <function _LoadPatterns.<locals>.<lambda> at 0x108a3f920>), ('fr_NH0', <function _LoadPatterns.<locals>.<lambda> at 0x108a3f9c0>), ('fr_Ar_N', <function _LoadPatterns.<locals>.<lambda> at 0x108a3fa60>), ('fr_Ar_NH', <function _LoadPatterns.<locals>.<lambda> at 0x108a3fb00>), ('fr_aniline', <function _LoadPatterns.<locals>.<lambda> at 0x108a3fba0>), ('fr_Imine', <function _LoadPatterns.<locals>.<lambda> at 0x108a3fc40>), ('fr_nitrile', <function _LoadPatterns.<locals>.<lambda> at 0x108a3fce0>), ('fr_hdrzine', <function _LoadPatterns.<locals>.<lambda> at 0x108a3fd80>), ('fr_hdrzone', <function _LoadPatterns.<locals>.<lambda> at 0x108a3fe20>), ('fr_nitroso', <function _LoadPatterns.<locals>.<lambda> at 0x108a3fec0>), ('fr_N_O', <function _LoadPatterns.<locals>.<lambda> at 0x108a3ff60>), ('fr_nitro', <function _LoadPatterns.<locals>.<lambda> at 0x108a9c040>), ('fr_azo', <function _LoadPatterns.<locals>.<lambda> at 0x108a9c0e0>), ('fr_diazo', <function _LoadPatterns.<locals>.<lambda> at 0x108a9c180>), ('fr_azide', <function _LoadPatterns.<locals>.<lambda> at 0x108a9c220>), ('fr_amide', <function _LoadPatterns.<locals>.<lambda> at 0x108a9c2c0>), ('fr_priamide', <function _LoadPatterns.<locals>.<lambda> at 0x108a9c360>), ('fr_amidine', <function _LoadPatterns.<locals>.<lambda> at 0x108a9c400>), ('fr_guanido', <function _LoadPatterns.<locals>.<lambda> at 0x108a9c4a0>), ('fr_Nhpyrrole', <function _LoadPatterns.<locals>.<lambda> at 0x108a9c540>), ('fr_imide', <function _LoadPatterns.<locals>.<lambda> at 0x108a9c5e0>), ('fr_isocyan', <function _LoadPatterns.<locals>.<lambda> at 0x108a9c680>), ('fr_isothiocyan', <function _LoadPatterns.<locals>.<lambda> at 0x108a9c720>), ('fr_thiocyan', <function _LoadPatterns.<locals>.<lambda> at 0x108a9c7c0>), ('fr_halogen', <function _LoadPatterns.<locals>.<lambda> at 0x108a9c860>), ('fr_alkyl_halide', <function _LoadPatterns.<locals>.<lambda> at 0x108a9c900>), ('fr_sulfide', <function _LoadPatterns.<locals>.<lambda> at 0x108a9c9a0>), ('fr_SH', <function _LoadPatterns.<locals>.<lambda> at 0x108a9ca40>), ('fr_C_S', <function _LoadPatterns.<locals>.<lambda> at 0x108a9cae0>), ('fr_sulfone', <function _LoadPatterns.<locals>.<lambda> at 0x108a9cb80>), ('fr_sulfonamd', <function _LoadPatterns.<locals>.<lambda> at 0x108a9cc20>), ('fr_prisulfonamd', <function _LoadPatterns.<locals>.<lambda> at 0x108a9ccc0>), ('fr_barbitur', <function _LoadPatterns.<locals>.<lambda> at 0x108a9cd60>), ('fr_urea', <function _LoadPatterns.<locals>.<lambda> at 0x108a9ce00>), ('fr_term_acetylene', <function _LoadPatterns.<locals>.<lambda> at 0x108a9cea0>), ('fr_imidazole', <function _LoadPatterns.<locals>.<lambda> at 0x108a9cf40>), ('fr_furan', <function _LoadPatterns.<locals>.<lambda> at 0x108a9cfe0>), ('fr_thiophene', <function _LoadPatterns.<locals>.<lambda> at 0x108a9d080>), ('fr_thiazole', <function _LoadPatterns.<locals>.<lambda> at 0x108a9d120>), ('fr_oxazole', <function _LoadPatterns.<locals>.<lambda> at 0x108a9d1c0>), ('fr_pyridine', <function _LoadPatterns.<locals>.<lambda> at 0x108a9d260>), ('fr_piperdine', <function _LoadPatterns.<locals>.<lambda> at 0x108a9d300>), ('fr_piperzine', <function _LoadPatterns.<locals>.<lambda> at 0x108a9d3a0>), ('fr_morpholine', <function _LoadPatterns.<locals>.<lambda> at 0x108a9d440>), ('fr_lactam', <function _LoadPatterns.<locals>.<lambda> at 0x108a9d4e0>), ('fr_lactone', <function _LoadPatterns.<locals>.<lambda> at 0x108a9d580>), ('fr_tetrazole', <function _LoadPatterns.<locals>.<lambda> at 0x108a9d620>), ('fr_epoxide', <function _LoadPatterns.<locals>.<lambda> at 0x108a9d6c0>), ('fr_unbrch_alkane', <function _LoadPatterns.<locals>.<lambda> at 0x108a9d760>), ('fr_bicyclic', <function _LoadPatterns.<locals>.<lambda> at 0x108a9d800>), ('fr_benzene', <function _LoadPatterns.<locals>.<lambda> at 0x108a9d8a0>), ('fr_phos_acid', <function _LoadPatterns.<locals>.<lambda> at 0x108a9d940>), ('fr_phos_ester', <function _LoadPatterns.<locals>.<lambda> at 0x108a9d9e0>), ('fr_nitro_arom', <function _LoadPatterns.<locals>.<lambda> at 0x108a9da80>), ('fr_nitro_arom_nonortho', <function _LoadPatterns.<locals>.<lambda> at 0x108a9db20>), ('fr_dihydropyridine', <function _LoadPatterns.<locals>.<lambda> at 0x108a9dbc0>), ('fr_phenol_noOrthoHbond', <function _LoadPatterns.<locals>.<lambda> at 0x108a9dc60>), ('fr_Al_OH_noTert', <function _LoadPatterns.<locals>.<lambda> at 0x108a9dd00>), ('fr_benzodiazepine', <function _LoadPatterns.<locals>.<lambda> at 0x108a9dda0>), ('fr_para_hydroxylation', <function _LoadPatterns.<locals>.<lambda> at 0x108a9de40>), ('fr_allylic_oxid', <function _LoadPatterns.<locals>.<lambda> at 0x108a9dee0>), ('fr_aryl_methyl', <function _LoadPatterns.<locals>.<lambda> at 0x108a9df80>), ('fr_Ndealkylation1', <function _LoadPatterns.<locals>.<lambda> at 0x108a9e0c0>), ('fr_Ndealkylation2', <function _LoadPatterns.<locals>.<lambda> at 0x108a9e020>), ('fr_alkyl_carbamate', <function _LoadPatterns.<locals>.<lambda> at 0x108a9e160>), ('fr_ketone_Topliss', <function _LoadPatterns.<locals>.<lambda> at 0x108a9e200>), ('fr_ArN', <function _LoadPatterns.<locals>.<lambda> at 0x108a9e2a0>), ('fr_HOCCN', <function _LoadPatterns.<locals>.<lambda> at 0x108a9e340>)]
name: str = 'fr_HOCCN'
